Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  class Global extends nsc.Global with CompilerControl with ContextTrees with RichCompilationUnits with Picklers

  The main class of the presentation compiler in an interactive environment such as an IDE

  The main class of the presentation compiler in an interactive environment such as an IDE

  Definition Classes
    interactive
-  object CompletionResult
  Definition Classes
    Global
- NoResults
- ScopeMembers
- TypeMembers

c

scala.tools.nsc.interactive.Global.CompletionResult

# ScopeMembers

###

#### final case class ScopeMembers(positionDelta: Int, results: List[Global.ScopeMember], name: Global.Name, forImport: Boolean) extends CompletionResult with Product with Serializable

Source
  Global.scala

Linear Supertypes
java.io.Serializable, Product, Equals, CompletionResult, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScopeMembers
2. Serializable
3. Product
4. Equals
5. CompletionResult
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ScopeMembers(positionDelta: Int, results: List[Global.ScopeMember], name: Global.Name, forImport: Boolean)

### Type Members

1.  type M = Global.ScopeMember
   Definition Classes
     ScopeMembers → CompletionResult

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScopeMembers toany2stringadd[ScopeMembers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScopeMembers, B)
   Implicit
     This member is added by an implicit conversion from ScopeMembers toArrowAssoc[ScopeMembers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (ScopeMembers) => Boolean, msg: => Any): ScopeMembers
   Implicit
     This member is added by an implicit conversion from ScopeMembers toEnsuring[ScopeMembers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (ScopeMembers) => Boolean): ScopeMembers
   Implicit
     This member is added by an implicit conversion from ScopeMembers toEnsuring[ScopeMembers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): ScopeMembers
    Implicit
      This member is added by an implicit conversion from ScopeMembers toEnsuring[ScopeMembers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): ScopeMembers
    Implicit
      This member is added by an implicit conversion from ScopeMembers toEnsuring[ScopeMembers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  val forImport: Boolean
    Definition Classes
      ScopeMembers → CompletionResult
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScopeMembers toStringFormat[ScopeMembers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  def matchingResults(nameMatcher: (Global.Name) => (Global.Name) => Boolean = entered => candidate => candidate.startsWith(entered)): List[M]
    Definition Classes
      CompletionResult
19.  val name: Global.Name

    The (possibly partial) name detected that precedes the cursor

    The (possibly partial) name detected that precedes the cursor

    Definition Classes
      ScopeMembers → CompletionResult
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  val positionDelta: Int

    Cursor Offset - positionDelta == position of the start of the name

    Cursor Offset - positionDelta == position of the start of the name

    Definition Classes
      ScopeMembers → CompletionResult
24.  def productElementNames: Iterator[String]
    Definition Classes
      Product
25.  val results: List[Global.ScopeMember]
    Definition Classes
      ScopeMembers → CompletionResult
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ScopeMembers, B)
   Implicit
     This member is added by an implicit conversion from ScopeMembers toArrowAssoc[ScopeMembers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CompletionResult

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromScopeMembers to any2stringadd[ScopeMembers]

### Inherited by implicit conversion StringFormat fromScopeMembers to StringFormat[ScopeMembers]

### Inherited by implicit conversion Ensuring fromScopeMembers to Ensuring[ScopeMembers]

### Inherited by implicit conversion ArrowAssoc fromScopeMembers to ArrowAssoc[ScopeMembers]

### Ungrouped